from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import GameViewSet, GuildViewSet, PlayerViewSet, PlayerGameProfileViewSet, WowProfileViewSet, ValorantProfileViewSet, hello_world

router = DefaultRouter()
router.register(r'games', GameViewSet)
router.register(r'guilds', GuildViewSet)
router.register(r'players', PlayerViewSet)
router.register(r'player-game-profiles', PlayerGameProfileViewSet)
router.register(r'wow-profiles', WowProfileViewSet)
router.register(r'valorant-profiles', ValorantProfileViewSet)

urlpatterns = [
    path('', hello_world, name='index'),
    path('', include(router.urls)),
]
